<?php
require "../bd/funcoes.inc";
require "../auxiliar/parametros.inc";
require "../auxiliar/http-utils.php";
require "../bd/bd_os.inc";
require "../bd/bd_produtos.inc";
include '../idiomas/config.inc';


if ($seleciona_tabela_de_preco !== 1 && $p_fvalle_prazo_pagamento !== 1 && $p_fvalle_prazo_pagamento !== 2) {
    sendResponseJson(403, array(
        "message" => "$msg_nao_habilita_tabela_de_preco "
    ));

}

if(
        !isset($_POST["codprodtabela"])
        || is_nan($_POST["codprodtabela"])
        || $_POST["codprodtabela"] == ""
        || is_null($_POST["codprodtabela"])
    ) {
    sendResponseJson(400, array(
        "message" => "$msg_parametro_codprodtabela_nao_informado"
    ));
}


$codprodtabela = $_POST["codprodtabela"];
$alterarItensInclusos = $_POST["alterarItensInclusos"];



$codos = lecookie('codos');

setcookie("tabelaDePrecos", $codprodtabela, 0, '/');
alteraTabelaDePreco($codos, $codprodtabela);

$itens = getOsItensByCodos($codos);

foreach ($itens as $item) {
    if ($p_usa_embalagem_produtos == 1 ) {
        $novoPrecoSugerido = $item['precobase'];
    }else{
        $novoPrecoSugerido = getPreco($item['codpro'], $codprodtabela);
    }
    
    alteraPrecoMinimoDeItemDaOs($codos, $item['codpro'], $novoPrecoSugerido);
}

if($alterarItensInclusos == 1) {
    $codprodtabela = TrazValorCampo('os', 'npreco', 'codos', $codos);
    foreach ($itens as $item) {
        if ($p_usa_embalagem_produtos == 1 ) {
            $preco = $item['precobase'];
        }else{
            $preco = getPreco($item['codpro'], $codprodtabela);
        }
        alteraPrecoDeItemDaOs($codos, $item['codpro'], $preco);
    }
}

sendResponseJson(204, array());